﻿@model MovieViewModel
@{
    ViewData["Title"] = "Details";
}

<h2></h2>

<p> </p>

<div class="row">
    <div class="col-sm-4">
        <div>
            <img class="detailImage" src="@Model.ImageURL" alt="" height="550" />
        </div>

        <div>
            <p></p>
            <span>
                <a asp-controller="Movie" asp-action="AddReview" asp-route-id="@Model.Id" class="btn btn-info">
                    Add Review
                </a>
            </span>
            <span>
                <a asp-controller="Movie" asp-action="AddUserRating" asp-route-id="@Model.Id" class="btn btn-primary">
                    Add Rating
                </a>
            </span>
            @if (User.IsInRole("Admin"))
            {<button type="button" class="btn btn-danger" data-toggle="modal" data-target="#myModalNorm">
                    <span class="glyphicon glyphicon-edit"></span>
                    Delete Movie
                </button>
                <!-- Modal -->
                <div class="modal fade" id="myModalNorm" tabindex="-1" role="dialog"
                     aria-labelledby="myModalLabel" aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <!-- Modal Body -->
                            <div class="modal-body">
                                <form asp-controller="Movie" asp-action="DeleteMovieModal" asp-route-MovieTitle="@Model.Title" method="post">
                                    <div class="form-group">
                                        <label for="movieTitle">Are you sure?</label>
                                    </div>
                                    <button type="submit" class="btn btn-default">Delete Movie</button>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            }

        </div>
    </div>
    <div class=" col-md-8">
        <header>
            <h3 class="movieTitle">
                @Model.Title
                (@Model.ReleaseDate.Year)
            </h3>
            @if (Model.MoviesGenres.Any())
            {
                <h6>
                    @Model.Duration min - @Model.MoviesGenres.First().MainGenre.Type
                    @{int genresCounter = 0;
                        foreach (var genre in Model.MoviesGenres)
                        {
                            <span class="badge badge-primary">@genre.Type</span>
                            if (genresCounter == 2)
                            {
                                <br />
                            }
                            genresCounter++;
                        }
                    }
                </h6>

            }
            <div>
                @for (decimal i = 0; i < (@Model.UserRating ?? 0); i++)
                {
                    <span class="glyphicon glyphicon-star"></span>
                }
                @for (decimal i = (@Model.UserRating ?? 0); i < 10; i++)
                {
                    <span class="glyphicon glyphicon-star-empty"></span>
                }
                @if (Model.Voters == null)
                {
                    <span>@Model.UserRating stars(0 voters)</span>
                }
                else
                {
                    <span> @Model.UserRating stars (@Model.Voters voters)</span>
                }
            </div>
            <p></p>
        </header>
        <div>
            @if (Model.Preview != null)
            {
                <div><i>@Model.Preview.Content</i></div>
                <p> </p>
                <div><font size="4"><strong>Director: </strong>@Model.Director.FirstName @Model.Director.LastName </font></div>
                <div>
                    <font size="4">
                        <strong>Stars: </strong>
                        @{ foreach (var actor in @Model.Actors)
                            {
                                @actor.FirstName <span>@actor.LastName</span>
                            }
                        }

                    </font>
                </div>

            }
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <p></p>
        <div class="itemLabel"><strong>User`s Reviews: </strong></div><br>
        <div class="itemValue">
            @{int count = 1;

                @if (Model.Reviews.Count == 0)
                {
                    <div>This movie has no user`s reviews.</div>
                }
                else
                {

                    @foreach (var review in @Model.Reviews)
                    {

                        <p>@count. @review.Content</p>
                        count++;
                    }
                }
            }

        </div>
    </div>
</div>




